# Copyright © 2009 Nick Bowler
#
# License WTFPL2: Do What The Fuck You Want To Public License, version 2.
# This is free software: you are free to do what the fuck you want to.
# There is NO WARRANTY, to the extent permitted by law.

lib_LTLIBRARIES += libuobject.la

uobjectdir = $(includedir)/uobject
uobject_HEADERS = uobject/uobject.h uobject/exportable.h uobject/loadable.h \
	uobject/module.h uobject/package.h uobject/vfs.h
noinst_HEADERS += uobject/avl.h

libuobject_la_SOURCES  = uobject/uobject.c uobject/module.c uobject/avl.c \
	uobject/package.c uobject/loadable.c uobject/exportable.c \
	uobject/vfs.c
libuobject_la_CPPFLAGS = $(AM_CPPFLAGS) $(GLIB_CFLAGS) $(LTDLINCL) \
	-DPKGLIBDIR=\"$(pkglibdir)\" -DPKGDATADIR=\"$(pkgdatadir)\"
libuobject_la_LDFLAGS  = $(AM_LDFLAGS) -export-symbols-regex '^u_'
libuobject_la_LIBADD   = $(LIBLTDL) $(GLIB_LIBS) -lgnu
